Loading...
Searching...
No Matches
ss_request Struct Reference

This structure represents some meaningful parts of a decoded and/or to be encoded GSM 04.80 message. More...

`#include <gsm0480.h>`

## Data Fields

uint8_t | opcode
| GSM TS 04.80, section 3.6.4 "Operation code" See GSM0480_OP_CODE_* for possible values.
uint8_t | ss_code
| GSM TS 04.80, section 4.4.3.9 "ss-Code" The ss-Code identifier refers to the code which identify a supplementary service or a group of supplementary services.
uint8_t | ussd_text [GSM0480_USSD_OCTET_STRING_LEN]
| A rudiment of deprecated 'ussd_request' structure.
uint8_t | ussd_data [GSM0480_USSD_OCTET_STRING_LEN]
| Represents the data of either an INVOKE, either a RETURN_RESULT component 'as is'.
uint8_t | ussd_data_len
uint8_t | ussd_data_dcs
uint8_t | transaction_id
| GSM TS 04.80, section 3.3 "Transaction identifier" See GSM TS 04.07, section 11.2.3 for details.
uint8_t | invoke_id
| GSM TS 04.80, section 3.6.3 "Component ID tag" The term Component ID refers to the Invoke ID or the Linked ID.

## Detailed Description

This structure represents some meaningful parts of a decoded and/or to be encoded GSM 04.80 message.

## Field Documentation

## invoke_id

uint8_t ss_request::invoke_id

GSM TS 04.80, section 3.6.3 "Component ID tag" The term Component ID refers to the Invoke ID or the Linked ID.

## opcode

uint8_t ss_request::opcode

GSM TS 04.80, section 3.6.4 "Operation code" See GSM0480_OP_CODE_* for possible values.

## ss_code

uint8_t ss_request::ss_code

GSM TS 04.80, section 4.4.3.9 "ss-Code" The ss-Code identifier refers to the code which identify a supplementary service or a group of supplementary services.

## transaction_id

uint8_t ss_request::transaction_id

GSM TS 04.80, section 3.3 "Transaction identifier" See GSM TS 04.07, section 11.2.3 for details.

## ussd_data

uint8_t ss_request::ussd_data[GSM0480_USSD_OCTET_STRING_LEN]

Represents the data of either an INVOKE, either a RETURN_RESULT component 'as is'.

Useful when decoding is not supported or not desired.

Shall be always followed by its length (in bytes) and DCS (Data Coding Scheme).

## ussd_data_dcs

uint8_t ss_request::ussd_data_dcs

## ussd_data_len

uint8_t ss_request::ussd_data_len

## ussd_text

uint8_t ss_request::ussd_text[GSM0480_USSD_OCTET_STRING_LEN]

A rudiment of deprecated 'ussd_request' structure.

Represents the data of either an INVOKE, either a RETURN_RESULT component, encoded as ASCII in case if DCS is 0x0f (i.e. decoded by the code itself), otherwise raw bytes 'as is'.

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gsm0480.h